ru.bitel.bgbilling.modules.tv.runtime

## Class TvAccountRuntimeMap

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.runtime.TvAccountRuntimeMap

- All Implemented Interfaces:
    ru.bitel.bgbilling.kernel.application.server.CommandListener, EventListener<Event>

      public class TvAccountRuntimeMap
      extends java.lang.Object
      implements EventListener<Event>, ru.bitel.bgbilling.kernel.application.server.CommandListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccountRuntimeMap(int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap, java.util.Date dateFrom)`
    `TvAccountRuntimeMap(int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap, java.util.Date dateFrom, TvApplication tvApplication)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvAccountRuntime` | `addRuntime(ConnectionSet connectionSet, TvAccount tvAccount)`
    `java.lang.String` | `executeCommand(java.lang.String cmd, java.lang.String param)`
    `TvAccountRuntime` | `get(java.lang.Integer id)` Получение по id TvAccount
    `TvAccountRuntime` | `getByUsername(java.lang.String username, java.util.Date date)` Получение tvAccount по логину
    `java.lang.String` | `getCommandsHelp()`
    `TvAccount` | `getTvAccount(java.lang.Integer id)`
    `java.util.List<TvAccountRuntime>` | `list(int contractId)`
    `java.util.List<TvAccountRuntime>` | `list(java.lang.Integer contractId, long millis)`
    `java.util.List<TvAccountRuntime>` | `listChildren(java.lang.Integer id)`
    `java.util.List<TvAccountRuntime>` | `listChildren(java.lang.Integer id, long millis)`
    `void` | `load(ConnectionSet connectionSet, int contractId)`
    `void` | `load(TvApplication application, ConnectionSet connectionSet)`
    `TvAccountRuntime` | `newRuntime(ConnectionSet connectionSet, TvAccount newTvAccount)`
    `void` | `notify(Event e, EventListenerContext ctx)`
    `java.lang.String` | `toString()`
    `java.lang.Iterable<TvAccountRuntime>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountRuntimeMap

          public TvAccountRuntimeMap(int moduleId,
                                     ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap,
                                     java.util.Date dateFrom)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### TvAccountRuntimeMap

          public TvAccountRuntimeMap(int moduleId,
                                     ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap,
                                     java.util.Date dateFrom,
                                     TvApplication tvApplication)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### load

          public void load(TvApplication application,
                           ConnectionSet connectionSet)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addRuntime

          public TvAccountRuntime addRuntime(ConnectionSet connectionSet,
                                             TvAccount tvAccount)

    - #### load

          public void load(ConnectionSet connectionSet,
                           int contractId)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### newRuntime

          public TvAccountRuntime newRuntime(ConnectionSet connectionSet,
                                             TvAccount newTvAccount)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTvAccount

          public TvAccount getTvAccount(java.lang.Integer id)

    - #### get

          public TvAccountRuntime get(java.lang.Integer id)

      Получение по id TvAccount
      Parameters:
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listChildren

          public java.util.List<TvAccountRuntime> listChildren(java.lang.Integer id)

    - #### listChildren

          public java.util.List<TvAccountRuntime> listChildren(java.lang.Integer id,
                                                               long millis)

    - #### getByUsername

          public TvAccountRuntime getByUsername(java.lang.String username,
                                                java.util.Date date)
                                         throws ru.bitel.bgbilling.common.BGException

      Получение tvAccount по логину
      Parameters:
        `username` -
        `date` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### executeCommand

          public java.lang.String executeCommand(java.lang.String cmd,
                                                 java.lang.String param)

      Specified by:
        `executeCommand` in interface `ru.bitel.bgbilling.kernel.application.server.CommandListener`

    - #### getCommandsHelp

          public java.lang.String getCommandsHelp()

      Specified by:
        `getCommandsHelp` in interface `ru.bitel.bgbilling.kernel.application.server.CommandListener`

    - #### values

          public java.lang.Iterable<TvAccountRuntime> values()

    - #### list

          public java.util.List<TvAccountRuntime> list(int contractId)

    - #### list

          public java.util.List<TvAccountRuntime> list(java.lang.Integer contractId,
                                                       long millis)